Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/users/{username} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/instagram/users/{username}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/instagram/users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://www.instagram.com/khaby00/",
"url": "https://www.instagram.com/khaby00/",
"entityId": "779085683",
"name": "Khabane Lame",
"preferredUsername": "khaby00",
"isPrivate": false,
"isVerified": true,
"isPaidVerified": false,
"isBusiness": false,
"isProfessional": true,
"hasVideos": true,
"hasChannel": false,
"hasMicroblog": true,
"followerCount": 77560380,
"followingCount": 1004,
"mediaCount": 626,
"videoCount": 120,
"highlightCount": 10,
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khabylame",
"rel": "preferred"
}
],
"category": "Public figure",
"pronouns": [
"he/him"
],
"icon": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
},
"image": [
{
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Users
Get user profile
Returns profile information for an Instagram user including bio, follower counts, profile picture, and account metadata. Look up any public Instagram account by username.
GET
/
v1
/
instagram
/
users
/
{username}
Get user profile
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Instagram username (with or without @ symbol)
Example:
"khaby00"
Response
Returns the Instagram user profile
Show child attributes
Show child attributes
⌘I